Qt is an application framework originally created by Trolltech and currently managed by Digia. The KDE desktop uses the Qt framework for its applications.

learn more… | top users | synonyms

3
votes
1answer
187 views

Re-use toolbar code for each tab

I'm creating a music app using QML and it uses around five tabs, each using a toolbar. The toolbar should look the same, so instead of having the exact same code for each tab, I wanted to re-use the ...
0
votes
1answer
244 views

Ubuntu Touch SDK problems

I have installed the Ubuntu touch SDK the way it is advised on the Ubuntu dev website (with sudo apt-get install ubuntu). I'm using Ubuntu 13.04. The problems/symptoms are the following : When I ...
4
votes
2answers
3k views

Missing documentation for Qt5 on Ubuntu 13.04

I use Qt Creator for building applications and recently I decided to upgrade my Ubuntu from 12.10 to 13.04 and upgrade my current project from Qt4 to Qt5. The problem is that the Help section provides ...
3
votes
1answer
7k views

How to install Litecoin

I'm trying to install litecoin on my ubuntu 12.04 machine. I downloaded the Litecoin-Qt from http://litecoin.org/ and extracted it to ~/ Then based on the README, I did the following: ...
5
votes
2answers
300 views

Ghost title bar in Qt programs

I'm using Ubuntu 13.04 and I guess ever since I updated it from 12.10 I've been having a problem with qt applications (VLC and K3B, specifically). Sometimes, when I open them, the title bar doesn't ...
-1
votes
1answer
453 views

Downgrade qt in Ubuntu 13.04

I use Ubuntu 13.04. Does anybody know how to downgrade qt to the version 4.8.2?
1
vote
0answers
673 views

Qt5 font rendering in Ubuntu 13.04

My fonts in general within QtCreator inside Ubuntu 13.04 looks 'ugly' when compared to how they looked in 12.10. 12.10 still used Qt4, so did something regarding the font rendering in Qt5 and the ...
6
votes
1answer
1k views

Installation of capybara-webkit ruby gem

I have following errors when I try to install capybara-webkit ruby gem Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension. ...
2
votes
0answers
189 views

PySide application lost icons when upgraded to Ubuntu 13.04

I'm developing an application in Python 3 using PySide. I upgraded my system form 12.10 to 13.04 today, and now I no longer have icons in my toolbar. The icons are loaded using QIcon.fromTheme(). Does ...
0
votes
2answers
288 views

Grid view at Ubuntu touch - How to use it?

In article about content views is a part about a Grid view. But I didn't found anywhere how to use it. Do you knew something about it? Tahnks for answer!
1
vote
1answer
943 views

install qtSerialPort library

I want to install qtserialport in precise1-Ubuntu. I got the source directory using git. next I download lib-qt4-dev and qmake. I ran qmake. it works fine. but, make fails with the following error: ...
1
vote
2answers
81 views

ListView doesn't appear

I'm working at app for ubuntu touch. I have a code with listView in it. But when I run it the page is simply empty (tehre is a title and a tabs switcher). Where is the mistake? import QtQuick 2.0 ...
1
vote
1answer
499 views

Ubuntu touch tools

I'm doing a porting exercise to port an application from Ubuntu to Ubuntu Touch. The application uses gcc 4.1.2, CMake 2.6.4, binutils 2.22. Q1. What tools are needed for setting up a Ubuntu Touch ...
0
votes
1answer
607 views

Unable to install qt-sdk unmet dependencies

I tried to install qt-sdk under ubuntu 12.10 how can I fix this issue? install log: apt-get install qt-sdk Reading package lists... Done Building dependency tree Reading state information... ...
0
votes
1answer
182 views

Should I choose KDE or Qt for an Ubuntu application?

I'm writing an application using QML and some C++ code. The main window will be all QML (possibly having a main menu bar provided KXmlGuiWindow), with the backend and some dialogs written in C++. I've ...
18
votes
3answers
12k views

Why is canonical choosing QT over GTK for Unity's next generation?

So much has been written that I'm kinf of confused, but if I'm not mistaken Canonical is building the next generation of Unity for mobile devices with Qt, and in the near future the desktop will also ...
21
votes
1answer
45k views

How can I install Qt 5.x on 12.04 LTS?

If you want to develop with QML 2.0 and Qt5, the base packages don't seem to exist in repository for 12.04. What PPA should I add? Is it a binary installer? a compile the toolkit yourself? Those ...
2
votes
2answers
1k views

Ubuntu Touch app with c++ core and QML interface. How to create?

How to create Ubuntu Touch application with c++ core? In examples I see only pure QML apps.
1
vote
1answer
99 views

How to install FSME?

I am looking to install FSME in Ubuntu, how can I do that. the official doc looks beyond scope - http://fsme.sourceforge.net/doc/install.html Not sure what step 4 is telling..any suggestions please. ...
1
vote
1answer
2k views

Recent Qt repository

Is there any repository for latest Qt versions (recent version is 5.0.1 while ubuntu has 4.8) ? PS I found this PPA but it tagged as [deprecated]!!!, so I'm wondering what if there is official one ...
8
votes
1answer
38k views

How to install Qt4 in Ubuntu 12.10

I tried to use Qt5 but I have some problems while making Debian packaging process with Qt5 so I would like to have Qt4 on Ubuntu 12.10. How can I install Qt4.
6
votes
1answer
2k views

Make a Debian Package (.deb) from a Qt Project

I did several projects on Qt Creator and I would like to distribute them in an installable format (in this case, Debian Packages). More info about my Qt installation (and my system): Qt version ...
10
votes
4answers
716 views

What is the recommended widget toolkit for Ubuntu desktop?

As I understand it, Qt - C++ and QML - or HTML5 are recommended for writing Ubuntu for Phones applications. Also, correct me if I'm wrong, but Python is the preferred language for Ubuntu Desktop. ...
2
votes
1answer
126 views

Can I make my QT GUI programs run after completely removing unity desktop?

Can I make my QT GUI programs run after completely removing unity desktop? I am building a desktop environment on QT. How can I run my program without unity.
5
votes
1answer
705 views

QML/Qt Development path verses “Quickly” and Gtk

It seems like recently the path Ubuntu is moving towards is to have code developed with QML and Qt, and that appears to sync with their move to be able to target tablets, phones, TV devices and the ...
1
vote
0answers
118 views

Inner object properties are not shown in Qt Creator in debugging mode

I'm using Qt Creator 2.6.82 on Ubuntu 12.10. I wanted to figure out if some properties are correctly set, but I can't see them. This is the deepest I can get (I can't even open the QObject node) ...
0
votes
1answer
5k views

How to install qt sdk (qt 4.x) by apt-get (the full version)?

I've installed QtSdk-offline-linux-x86-v1.2.1 on Ubuntu 12.10 it has some bugs, crashes all the time. It does not appear in the Ubuntu Software Center and would not upgrade to the new version by ...
1
vote
0answers
194 views

IPython qtconsole not launching, Ubuntu 12.04

When I try launch Ipython qtconsole from terminal, I get the following error: python: /build/buildd/sip4-4.13.2/siplib/siplib.c:7915: sip_api_can_convert_to_type: Assertion `(((td)->td_flags & ...
15
votes
4answers
28k views

How to use Qt Creator with Python?

I want to use Qt for developing Ubuntu desktop, phone and tablet applications but I don't want to learn a new programming language (C++, JavaScript). Is it possible to write Qt application in Python ...
2
votes
1answer
314 views

How to parse text messages on Ubuntu Touch

Hi I want to be able to parse text messages on Ubuntu Touch for a specific key word. I understand how to do it on Android, but it is looking like this is very different than on Ubuntu Touch. ...
3
votes
1answer
213 views

What is the fundamental GUI library for Ubuntu starting with 12.04?

I have started exploring deeply into doing development for the Ubuntu phone. In the past, and having used stock Ubuntu, I always found that GTK was the standard GUI library. But now, with the phone ...
1
vote
1answer
189 views

How do I add QtDeclarative to the pkg-config list

I installed today the libqt5 and QtQuick development stacks. In trying to also install the hsqml packages for Haskell, hsqml reports that QtDeclarative is not listed in pkg-config. However, I have ...
2
votes
1answer
3k views

How do I install the QtWebKit 3.0 module for Qt Creator?

I'm trying to add a webview to my project, but the module isn't installed. I'm new to qml and qt and I'm not sure how to install the module. Thanks
6
votes
1answer
573 views

Can I make ReText use a different font type for displaying code?

I'm using ReText 3.1.4 (Lubuntu 12.10) to make notes for myself. I want to know if it's possible to use a different font for displaying text that is marked as code in preview mode: In the image, ...
2
votes
1answer
172 views

ListView Subtitled delegate, icon size and title word wrapping?

I'm working on an ubuntu mobile app and I have a few questions about customizing a listview. The listitem may contain an icon, but will have a title and subtitle. What I'm having trouble with is ...
5
votes
2answers
2k views

QtCreator plugins and templates missing

I just downloaded the Ubuntu phone SDK and QT creator according to the instructions. When I fire up QTCreator, I get a screen as shown If I ignore this message and hit continue, there are no ...
1
vote
1answer
583 views

Where can I find a Simple Hello World example for Ubuntu SDK (QT)?

I've been trying to get a simple window with button. And i have no idea on how to "bind" a button from the QML thing to a C/C++ function for example. I followed the example from developer.ubuntu.com ...
0
votes
1answer
252 views

How to properly get screen rotation programmatically?

I need to programatically obtain screen rotation. I'm using Qt and the X extension XRandr. I'm trying the following: Display *dpy; Window root; XRRScreenConfiguration *conf; Rotation rotation; int ...
2
votes
1answer
831 views

Qt 5.0.1 for Ubuntu

So i've asked before, but the answer was that i should install Ubuntu Phone SDK, which, doesn't seem to be the best way. I've looked on Software Center but it's not there. Downloading though the Qt ...
2
votes
2answers
302 views

Does a company writing C++ apps have to share its source code if it calls unmodified QT or Ubuntu libraries?

What is the relationship between Ubuntu and QT and Canonical? The coming Ubuntu phone looks interesting. Ubuntu seems to be interwoven with QT. If my company wants to write commercial C++ apps ...
6
votes
3answers
2k views

Problems with QML Tool Kit Installation: “unmet dependencies: qt-components-ubuntu: … ”

I am following the directions on the page for Ubuntu App Development: http://developer.ubuntu.com/get-started/gomobile/ Command 1: sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-beta1 ...
-1
votes
1answer
129 views

Is there any plan to merge `qt-components-ubuntu` into official QT/QML?

Is there any plan to merge qt-components-ubuntu into official QT/QML? Is it ongoing already? It's quite sad that ubuntu forked qt. I want to use qml to build a desktop app, and widgets introduced in ...
12
votes
2answers
9k views

what is KDE, GTK, GTK+, QT, and/or GNOME?

I'm new to Ubuntu (and linux in general). Some times when looking at programs in the Ubuntu Software Center, I see things about the programs being 'for the GTK+ environment', or 'for GNOME', or a ...
2
votes
0answers
400 views

Is it possible to get PdfEdit running on Ubuntu 12.10 using qt3to4? [duplicate]

PdfEdit is pretty much the only FOSS low-level PDF-editing tool out there. It's pretty useful, and pretty recent since it's updated in 2012. However, it's a shame that packages are nowhere to be ...
1
vote
0answers
2k views

Not finding QT4 QWidget after update

Updated from buntu 11.0 to 12.04. I use to have QT4 ver 4.7.4, now I have 4.8.1. My project is failing to build because it can't find #include <QWidget>. A search of the disk tells me there is ...
2
votes
1answer
217 views

Why does Software Center report qt4 as unmet dependency, when I already have qt5 installed?

I installed qtspim which requires qt4 to be installed. As I already have qt5 installed on my system, qtspim is working fine. However, Software Center reports dependency error. When I run apt-get ...
0
votes
0answers
56 views

Software center requires qt4, I have qt 5 [duplicate]

Possible Duplicate: Why does Software Center report qt4 as unmet dependency, when I already have qt5 installed? i have installed qtspim which depends upon qt4. I have already installed qt5 ...
8
votes
3answers
5k views

Receiving error while trying to debug in QtProject

I installed the latest version of the QtProject so now I can debug C++ code. While trying to debug for the first time I got this error: ptrace: Operation not permitted. Could not attach to the ...
1
vote
1answer
134 views

QT creator tutorial: Itemstyle invalid

Running the Currencyconverter tutorial "itemstyle" in the following line is underlined with red: ItemStyle.class: "title" with an error "invalid property name" How to fix this error?
1
vote
1answer
1k views

How to install PyQt4 for Python2.6?

I am currently stuck using both Python2.6 and Python2.7 on Lubuntu 12.10. 2.6 is required for a piece of software. In attempting to write a plug-in for this software (Opticks), I need to be able to ...